GPGME(1)

NAME
gpgme-config - script to get information about the installed version of GPGME

SYNOPSIS
gpgme-config [--api-version] [--cflags] [--exec-prefix] [--get-gpg] [--get-gpgsm] [--host] [--libs] [--prefix] [--thread=pthread] [--version]

DESCRIPTION

gpgme-config is a tool that is used to configure to determine the compiler and linker flags that should be used to compile and link programs that use GPGME. It is also used internally to the .m4 macros for GNU autoconf that are included with GPGME.

OPTIONS

gpgme-config accepts the following options:

--api-version
    Print the currently installed API version of GPGME to standard output.

--cflags
    Print the compiler flags that are necessary to compile a GPGME program.

--exec-prefix
    Print the exec prefix that was used to configure the GPGME build.

--get-gpg
    Print the path to the gpg(1) binary used to configure the GPGME build.

--get-gpgsm
    Print the path to the gpgsm(1) binary used to configure the GPGME build.

--host
    Print host information.

--libs
    Print the linker flags that are necessary to link a GPGME program.

--prefix
    Print the prefix that was used to configure the GPGME build.

--thread=pthread
    Switch for the --cflags and --libs options for the thread-enabled GPGME version.

--version
    Print the currently installed version of GPGME to standard output.

AUTHORS

The GPGME library is written by many contributors, including Werner Koch, Marcus Brinkmann, Andre Heinecke, Justus Winter, and Karl-Heinz Zimmer.

This manual page page was written by Jose Carlos Garcia Sogo <jsogo@debian.org> and Daniel Leidert <daniel.leidert@wgdd.de> for the Debian distribution (but may be used by others).

BUGS

Please report bugs to <https://bugs.gnupg.org>.

COPYRIGHT
gpgme-tool is Copyright © 2015-2016 g10 Code GmbH License GPLv2+: GNU GPL version 2 or later <https://www.gnu.org/licenses/>

This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
gpgme-tool(1), /usr/include/gpgme.h, info gpgme